CSS::Adaptor(3)

NAME
CSS::Adaptor - Arbitrarily map CSS data for use in another context.

SYNOPSIS
  use CSS;

  # create a CSS object with an adaptor
  my $css = new CSS({
       'adaptor' => 'CSS::Adaptor',
  });

  # load some CSS data
  $css->read_file( "my_file.css" );

  # change the adaptor
  $css->set_adaptor( "CSS::Adaptor::Pretty" );

  # output CSS object using the current adaptor
  print $css->output();

DESCRIPTION
This class is used by CSS to translate a CSS object to a string. This allows CSS data to be easily mapped into other formats.

This documentation is for people who want to write their own CSS::Adaptor module. For usage information, see the documentation for CSS.

METHODS

  CONSTRUCTOR

"new()"
    Called without options.

  FUNCTIONS

"output_rule( $rule )"
    returns a string containing a formatted CSS::Style object, passed as an object ref

"output_selectors( $selectors )"
    returns a string containing a formatted list of CSS::Selector objects, passed as an array ref

"output_properties( $properties )"
    returns a string containing a formatted list of CSS::Property objects, passed as an array ref

"output_values( $values )"
    returns a string containing a formatted list of CSS::Value objects, passed as an array ref

AUTHORS
Copyright (C) 2001-2002, Allen Day <allenday@ucla.edu>

Copyright (C) 2003-2004, Cal Henderson <cal@iamcal.com>

SEE ALSO
CSS